twitter4j

## Interface IDs

All Superinterfaces:
  CursorSupport, Serializable, TwitterResponse

    public interface IDs
    extends TwitterResponse, CursorSupport, Serializable

A data interface representing array of numeric IDs.

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Fields inherited from interface twitter4j.CursorSupport

`START`

### Method Summary

All Methods Instance Methods Abstract Methods
`long[]` `getIDs()`
`long` `getNextCursor()`
`long` `getPreviousCursor()`
`boolean` `hasNext()`
`boolean` `hasPrevious()`

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel, getRateLimitStatus`

### Method Detail

#### getIDs

    long[] getIDs()

#### hasPrevious

    boolean hasPrevious()

Specified by:
  `hasPrevious` in interface `CursorSupport`
Returns:
  has previous page

#### getPreviousCursor

    long getPreviousCursor()

Specified by:
  `getPreviousCursor` in interface `CursorSupport`
Returns:
  previous cursor

#### hasNext

    boolean hasNext()

Specified by:
  `hasNext` in interface `CursorSupport`
Returns:
  has next

#### getNextCursor

    long getNextCursor()

Specified by:
  `getNextCursor` in interface `CursorSupport`
Returns:
  next cursor